Bug Hunting Session
Bug 90583 - CHART: ODS - Pie chart piece doesn't show all dimension dots
Summary: CHART: ODS - Pie chart piece doesn't show all dimension dots
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.3.6.2 release
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.0.0 target:4.4.3 target:4.3....
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2015-04-12 21:28 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-12-17 08:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
4.2 vs 4.5 (57.71 KB, image/png)
2015-04-13 08:31 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-04-12 21:28:51 UTC
Steps:
1) Open http://www.thefrugalcomputerguy.com/downloads/calc/ods34-PieCharts.ods
2) Enter edit mode of the chart
3) Click on the pie chart and green dots will appear in the center of each piece
4) Click on the red piece and 8 green dots will appear around that piece
5) Click on the green piece and only 1 green dot will appear

Regression as it shows 8 green dots in 4.2.6.

Version: 4.5.0.0.alpha0+
Build ID: b024e36ddb3b53163d7a01f6f7b5aadb7a858cd9
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-03-31_08:18:46
Comment 1 Matthew Francis 2015-04-13 03:38:27 UTC
This was introduced with the below commit.
Adding Cc: to caolanm@redhat.com; Could you possibly take a look at this one? Thanks

commit db1d2af02861b49e4f53d726d59cd71c20cee9b1
Author:     Armin Le Grand <alg@apache.org>
AuthorDate: Tue Feb 18 21:18:13 2014 +0000
Commit:     Caolán McNamara <caolanm@redhat.com>
CommitDate: Wed Feb 19 20:29:12 2014 +0000

    Resolves: #i123539# some optimizations for 3D chart...
    
    geometry creation using UNO API
    
    (cherry picked from commit bbe35be767d76d08891c4f3d3600d80e0e6805f2)
    
    Change-Id: Ic9b6ab8fc31cfe585f7c75d85bafe4613910c57a
Comment 2 Yousuf Philips (jay) (retired) 2015-04-13 08:31:20 UTC
Created attachment 114756 [details]
4.2 vs 4.5

Picture is worth a thousand words. :D
Comment 4 Yousuf Philips (jay) (retired) 2015-04-13 18:58:51 UTC
Thanks Caolan for the commit and the backports to 4.4 and 4.3.
Comment 5 Commit Notification 2015-04-13 20:00:26 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fa316c6459d40d97fab52881cdff94d2cbab0c91&h=libreoffice-4-4

Resolves: tdf#90583 3D pie-chart missing guide handles

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-04-14 20:41:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=488d09771dfbdae0b94898dd675bc39b8550b85e&h=libreoffice-4-3

Resolves: tdf#90583 3D pie-chart missing guide handles

It will be available in 4.3.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-04-16 11:00:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ce58792b4fa57eb280040eaca80560d1471aefa2

Resolves: tdf#90583 3D pie-chart missing guide handles

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-04-20 14:36:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3-7":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=91f5b3d2d75897ac75feee1203de45f64129e93f&h=libreoffice-4-3-7

Resolves: tdf#90583 3D pie-chart missing guide handles

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-17 08:53:00 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]